Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 78470 - Scsi support in kernel 2.4.18-18-7 does not detect my adaptec 1522
Summary: Scsi support in kernel 2.4.18-18-7 does not detect my adaptec 1522
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 7.2
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-11-23 21:48 UTC by Alan Polinsky
Modified: 2008-08-01 16:22 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-09-30 15:40:14 UTC


Attachments (Terms of Use)

Description Alan Polinsky 2002-11-23 21:48:43 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.1) Gecko/20020826

Description of problem:
I am running kernel 2.4.18-17.7.xsmp. I downloaded the upgrade to version
2.4.18-18.7.xsmp. The new kernel does not see my older adaptec 1522 scsi
adapter. I tried an isnmod to manually load module sg, and got many errors. Is
there something I can do to get adaptec support in the newer kernel?

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Boot the new kernel
2.Adaptec board is not seen, and the scsi devices cannot be used; reboot the
older kernel, the board is seen and all scsi devices are available. Insmod sg
fails with the newer kernel.
3.
	

Actual Results:  New kernel does not load scsi support for the adaptec board;
the earlier one did.

Expected Results:  The adaptec board and all scsi devices should be supported

Additional info:

Comment 1 Arjan van de Ven 2002-11-25 09:16:08 UTC
can you paste the error messages you get when you modprobe the module ?

Comment 2 Alan Polinsky 2002-11-26 02:04:59 UTC
Doing a modprobe sg gives no errors. However, going to /proc/scsi shows no
attached devices. Under the prior kernel, no separate modprobe was required, and
all attached devices were detected.

Comment 3 Bugzilla owner 2004-09-30 15:40:14 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.